# Class: Tag

## Kinetic. Tag

#### new Tag(config)

  Tag constructor. A Tag can be configured to have a pointer element that points up, right, down, or left

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `config` | Object | ###### Properties
  Name | Type | Argument | Description
  --- | --- | --- | ---
  `pointerDirection` | String | <optional> | can be up, right, down, left, or none; the default is none. When a pointer is present, the positioning of the label is relative to the tip of the pointer.
  `pointerWidth` | Number | <optional> |
  `pointerHeight` | Number | <optional> |
  `cornerRadius` | Number | <optional> |

  Source:
    - kinetic-v5.1.10.js, line 14725

### Methods

#### getCornerRadius()

  get corner radius

  Source:
    - kinetic-v5.1.10.js, line 14858

#### getPointerDirection()

  get pointer Direction

  Source:
    - kinetic-v5.1.10.js, line 14806

#### getPointerHeight()

  get pointer height

  Source:
    - kinetic-v5.1.10.js, line 14841

#### getPointerWidth()

  get pointer width

  Source:
    - kinetic-v5.1.10.js, line 14824

#### setCornerRadius(corner)

  set corner radius

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `corner` | Number | radius

  Source:
    - kinetic-v5.1.10.js, line 14856

#### setPointerDirection(pointerDirection)

  set pointer Direction

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `pointerDirection` | String | can be up, right, down, left, or none. The default is none

  Source:
    - kinetic-v5.1.10.js, line 14804

#### setPointerHeight(pointerHeight)

  set pointer height

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `pointerHeight` | Number |

  Source:
    - kinetic-v5.1.10.js, line 14839

#### setPointerWidth(pointerWidth)

  set pointer width

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `pointerWidth` | Number |

  Source:
    - kinetic-v5.1.10.js, line 14822